| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.core.adviserastar.AdviserAStar Class Reference

Class focused on execute A* based analysis on three modalities of working Fast: 1 level analysis over default parameters Normal: One A* analysis for all models based until max_deep with early_stopping Paranoiac: One A* algorithm per model analysis until max_deep without early stoping. More...

Inheritance diagram for gdayf.core.adviserastar.AdviserAStar:
[legend]
Collaboration diagram for gdayf.core.adviserastar.AdviserAStar:
[legend]

## Public Member Functions
def | __init__ (self, e_c, deep_impact=3, metric='train_accuracy', dataframe_name='', hash_dataframe='')
| Constructor. More...
def | optimize_models (self, armetadata)
| Method mangaing the generation of possible optimized models. More...
Public Member Functions inherited from gdayf.core.adviserbase.Adviser
def | __init__ (self, e_c, deep_impact=5, metric='accuracy', dataframe_name='', hash_dataframe='')
| Constructor. More...
def | set_recommendations (self, dataframe_metadata, objective_column, amode=POC, atype=None)
| Main method oriented to execute smart analysis. More...
def | analysisnormal (self, dataframe_metadata, objective_column, amode)
| Method oriented to execute smart normal and fast analysis. More...
def | analysispoc (self, dataframe_metadata, objective_column, amode)
| Method oriented to execute poc analysis. More...
def | analysis_specific (self, dataframe_metadata, list_ar_metadata)
| Method oriented to execute new analysis. More...
def | analysisparanoiac (self, dataframe_metadata, objective_column, amode)
| Method oriented to execute smart normal and fast analysis. More...
def | analysisanomalies (self, dataframe_metadata, objective_column, amode)
| Method oriented to execute unsupervised anomalies models. More...
def | analysisclustering (self, dataframe_metadata, objective_column, amode)
| Method oriented to execute unsupervised clustering models. More...
def | base_specific (self, dataframe_metadata, list_ar_metadata)
| Method oriented to generate specific candidate metadata. More...
def | base_iteration (self, amode, dataframe_metadata, objective_column)
| Method oriented to select initial candidate models. More...
def | load_frameworks (self)
| Method oriented to get frameworks default values from config. More...
def | get_analysis_objective (self, dataframe_metadata, objective_column, atype=None)
| Method oriented to analyze DFmetadata and select analysis objective. More...
def | get_size_increment (self, df_metadata)
| Method oriented to analyze get increments on effort based on DF_metadata structure. More...
def | get_candidate_models (self, atype, amode, increment=1.0)
| Method oriented to analyze choose models candidate and select analysis objective. More...
def | applicability (self, model_list, nrows, ncols)
| Method oriented to select applicability of models over min_rows_limit. More...
def | priorize_models (self, model_list)
| Method managing scoring algorithm results params: results for Handlers (gdayf.handlers) More...
def | generate_vectors (self, model, normalization_set)
| Store executed model base parameters to check past executions. More...
def | is_executed (self, vector)
| Check if model has benn executed or is planned to execute. More...
def | compare_vectors (vector1, vector2)
| Compare to execution vectors. More...
def | safe_append (self, model_list, model)
| Check if model is previously executed. More...

## Additional Inherited Members
Static Public Member Functions inherited from gdayf.core.adviserbase.Adviser
def | get_train_accuracy (model)
| Method get train accuracy for generic model. More...
def | get_test_accuracy (model)
| Method get test accuracy for generic model. More...
def | get_combined_accuracy (model)
| Method get averaged train and test accuracy for generic model. More...
def | get_train_rmse (model)
| Method get rmse for generic model. More...
def | get_test_rmse (model)
| Method get test rmse for generic model. More...
def | get_cdistance (model)
| Method get clustering distance for generic model. More...
def | get_train_r2 (model)
| Method get train accuracy for generic model. More...
def | get_test_r2 (model)
| Method get test accuracy for generic model. More...
Public Attributes inherited from gdayf.core.adviserbase.Adviser
| timestamp
| an_objective
| deep_impact
| analysis_recommendation_order
| analyzed_models
| excluded_models
| next_analysis_list
| metric
| dataframe_name
| hash_dataframe
| deepness
Static Public Attributes inherited from gdayf.core.adviserbase.Adviser
int | deepness = 1

## Detailed Description

Class focused on execute A* based analysis on three modalities of working Fast: 1 level analysis over default parameters Normal: One A* analysis for all models based until max_deep with early_stopping Paranoiac: One A* algorithm per model analysis until max_deep without early stoping.

Definition at line 30 of file adviserastar.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdayf.core.adviserastar.AdviserAStar.__init__ | ( |  | self,
|  |  | e_c,
|  |  | deep_impact = `3`,
|  |  | metric = `'train_accuracy'`,
|  |  | dataframe_name = `''`,
|  |  | hash_dataframe = `''`
| ) |  |

Constructor.

Parameters

  self | object pointer
  e_c | context pointer
  deep_impact | A* max_deep
  metric | metrict for priorizing models ['train_accuracy', 'test_rmse', 'train_rmse', 'test_accuracy', 'combined_accuracy'] on train
  dataframe_name | dataframe_name or id
  hash_dataframe | MD5 hash value

Definition at line 39 of file adviserastar.py.

## Member Function Documentation

## ◆ optimize_models()

def gdayf.core.adviserastar.AdviserAStar.optimize_models | ( |  | self,
|  |  | armetadata
| ) |  |

Method mangaing the generation of possible optimized models.

Parameters

  armetadata | ArMetadata Model

Returns
  list of possible optimized models to execute return None if nothing to do

Definition at line 46 of file adviserastar.py.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/core/adviserastar.py